import Vue from 'vue'
import App from './App'
import store from './store'
import './static/font-awesome/font-awesome.css'
import nothing from './util/nothing'
import AppContext from './util/AppContext'
import Env from './util/Env'
import base from './util/base.js'
import http from './util/http.js';

import './css/uni.css'
import './css/main.css'
import './static/iconfont/iconfont.css'

Vue.config.productionTip = false
Vue.prototype.$store = store
Vue.prototype.$nothing = nothing
Vue.prototype.$AppContext = AppContext
Vue.prototype.$Env = Env
Vue.prototype.$base = base
Vue.prototype.$http = http
App.mpType = 'app'

const app = new Vue({
	store,
	nothing,
	AppContext,
	...App,
	mounted() {
		AppContext.initialize(this)
	}
})
app.$mount()
